# ACE_RB_Tree_Base Class Reference

`#include <RB_Tree.h>`

Inheritance diagram for ACE_RB_Tree_Base:

[legend]
Collaboration diagram for ACE_RB_Tree_Base:

[legend]
List of all members.

## Public Types

enum | RB_SearchResult { LEFT, EXACT, RIGHT }
| Search result enumeration. More...

## Public Member Functions

ACE_Allocator * | allocator (void) const
| Get the allocator;.

## Protected Attributes

ACE_Allocator * | allocator_
| Pointer to a memory allocator.

## Member Enumeration Documentation

enum ACE_RB_Tree_Base::RB_SearchResult

Search result enumeration.

Enumeration values:

  LEFT |
  EXACT |
  RIGHT |

## Member Function Documentation

ACE_Allocator* ACE_RB_Tree_Base::allocator | ( | void |  | ) | const`[inline]`

Get the allocator;.

Note:
  This method is inlined here rather than in RB_Tree.inl since that file may be included multiple times when inlining is disabled and on platforms where `ACE_TEMPLATES_REQUIRE_SOURCE` is defined. In those platform/configuration combinations, multiple definitions of this method occured. Placing the definition inline in the header avoids such errors.

## Member Data Documentation

ACE_Allocator* ACE_RB_Tree_Base::allocator_`[protected]`

| Pointer to a memory allocator.

The documentation for this class was generated from the following file:

- RB_Tree.h